/********************************************************************
 * Copyright © 2004 VHA. All rights reserved
 ********************************************************************/
// Package
package gov.va.med.fw.report;

// Java classes

// Library classes

// Framework classes
import gov.va.med.fw.service.ServiceException;

// ESR classes

/**
 * A main exception for report-related errors.
 *
 * Project: Framework</br>
 * Created on: 9:58:44 AM </br>
 *
 * @author DNS   LEV
 */
public class ReportException extends ServiceException {

	/**
	 * An instance of serialVersionUID
	 */
	private static final long serialVersionUID = -4429161522722466419L;

	/**
	 * A default constructor
	 */
	public ReportException() {
		super();
	}

	/**
	 * A default constructor
	 * @param message
	 */
	public ReportException(String message) {
		super(message);
	}

	/**
	 * A default constructor
	 * @param message
	 * @param t
	 */
	public ReportException(String message, Throwable t) {
		super(message, t);
	}

	/**
	 * A default constructor
	 * @param t
	 */
	public ReportException(Throwable t) {
		super(t);
	}
}